import { isEmpty } from 'lodash-es';
import { ActionIcon } from '../../components/ActionIcon';
import { FloatColorPicker } from '../../components/FloatcolorPicker';
import styles from './colorEntry.module.css';

export type IdenticalColorEntry = {
  id: string;
  name: string;
  color: string;
};

type ColorEntryProps = {
  entry: IdenticalColorEntry;
  onDelete?: (index: string) => void;
};

export function ColorEntry({ entry, onDelete }: ColorEntryProps) {
  return (
    <>
      <div className="input_wrapper">
        <input type="text" name={`name_${entry.id}`} defaultValue={entry.name} />
      </div>
      <div>
        <FloatColorPicker
          name={`color_${entry.id}`}
          color={isEmpty(entry.color) ? undefined : entry.color}
        />
      </div>
      <div>
        <ActionIcon
          icon="tabler:trash"
          extendClassName={styles.delete_btn}
          onClick={() => onDelete?.(entry.id)}
        />
      </div>
    </>
  );
}
